企业空间 采购商城 存储论坛
首页 > 虚拟化 > VMware > 正文

VMware vSphere 7.0安装、升级和迁移问题汇总

2021-10-13 13:03:28来源:VMware
导读: VMware vSphere 7.0安装、升级和迁移问题汇总,整理自官网及互联网,vCenter 升级/迁移预检查失败,并显示“意外错误 87 (Unexpected error 87)”等。

VMware vSphere 7.0安装、升级和迁移问题汇总,整理自官网及互联网。

安装、升级和迁移问题

  • vCenter 升级/迁移预检查失败,并显示“意外错误 87 (Unexpected error 87)”

    当 Security Token Service (STS) 证书不包含主体备用名称 (SAN) 字段时,vCenter Server 升级/迁移预检查将失败。如果已将 vCenter 5.5 Single Sign-on 证书替换为没有 SAN 字段的自定义证书,并且尝试升级到 vCenter Server 7.0,则会出现这种情况。此升级会将 STS 证书视为无效,并且预检查将阻止升级过程继续进行。

    解决办法:将 STS 证书替换为包含 SAN 字段的有效证书,然后再执行 vCenter Server 7.0 升级/迁移。

  • 使用预先存在的 CIM 提供程序升级到 vSphere 7.0 时出现问题

    升级后,之前安装的 32 位 CIM 提供程序停止工作,因为 ESXi 需要 64 位 CIM 提供程序。客户可能会丢失与 CIMPDK、NDDK(本机 DDK)、HEXDK、VAIODK(IO 筛选器)相关的管理 API 功能,并看到与 uwglibc 依赖关系相关的错误。
    Syslog 报告模块缺失,“未加载 32 位共享库 (32 bit shared libraries not loaded)。”

    解决办法:没有解决办法。修复方法是从供应商下载新的 64 位 CIM 提供程序。

  • 升级到 vCenter Server 7.0 后,智能卡和 RSA SecurID 身份验证可能停止工作

    如果您已为智能卡或 RSA SecurID 身份验证配置 vCenter Server,请参见位于 https://kb.vmware.com/s/article/78057 的 VMware 知识库文章,然后再开始 vSphere 7.0 升级过程。如果未按照知识库文章所述采取解决办法,您可能会看到以下错误消息,并且智能卡或 RSA SecurID 身份验证无法工作。

    “智能卡身份验证可能停止工作。可能不会保留智能卡设置,并且智能卡身份验证可能停止工作 (Smart card authentication may stop working. Smart card settings may not be preserved, and smart card authentication may stop working)。”

    “RSA SecurID 身份验证可能停止工作。可能不会保留 RSA SecurID 设置,并且 RSA SecurID 身份验证可能停止工作 (RSA SecurID authentication may stop working. RSA SecurID settings may not be preserved, and RSA SecurID authentication may stop working)。”

    解决办法:在升级到 vSphere 7.0 之前,请参见 VMware 知识库文章,网址为 https://kb.vmware.com/s/article/78057。

  • 将具有外部 Platform Services Controller 部署的 vCenter Server 从 6.7u3 升级到 7.0 失败,并显示 VMAFD 错误

    升级使用外部 Platform Services Controller 部署的 vCenter Server 部署时,将该 Platform Services Controller 融合为 vCenter Server Appliance。如果升级失败并显示错误 install.vmafd.vmdir_vdcpromo_error_21,则 VMAFD 首次引导过程已失败。VMAFD 首次引导过程从源 Platform Services Controller 和复制合作伙伴 vCenter Server Appliance 中复制 VMware Directory Service 数据库 (data.mdb)。

    解决办法:在升级具有外部 Platform Services Controller 部署的 vCenter Server 之前,在源 Platform Services Controller 或复制合作伙伴 vCenter Server Appliance 的以太网适配器上禁用 TCP 分段负载分流 (TSO) 和通用分段负载分流 (GSO)。请参见知识库文章:https://kb.vmware.com/s/article/74678

  • 使用 CLI 升级 vCenter Server 时错误地保留 vSphere Authentication Proxy 服务的传输安全层 (TLS) 配置

    如果将 vSphere Authentication Proxy 服务 (vmcam) 配置为使用不同于默认 TLS 1.2 协议的特定 TLS 协议,则会在 CLI 升级过程中保留此配置。默认情况下,vSphere 支持 TLS 1.2 加密协议。如果必须使用 TLS 1.0 和 TLS 1.1 协议为不支持 TLS 1.2 的产品或服务提供支持,请使用 TLS Configurator 实用程序启用或禁用不同的 TLS 协议版本。

    解决办法:使用 TLS Configurator 实用程序配置 vmcam 端口。要了解如何管理 TLS 协议配置以及使用 TLS Configurator 实用程序,请参见《VMware 安全》文档。

  • 在 vCenter Server 升级期间,可能不会保留智能卡和 RSA SecurID 设置

    升级到 vCenter Server 7.0 后,使用 RSA SecurID 的身份验证将不起作用。尝试使用 RSA SecurID 登录名登录时,将显示一条错误消息,提示您解决此问题。

    解决办法:重新配置智能卡或 RSA SecureID。

  • 将适用于 Windows 的 vCenter Server 迁移到 vCenter Server Appliance 7.0 失败,并显示网络错误消息

    将适用于 Windows 的 vCenter Server 迁移到 vCenter Server Appliance 7.0 失败,并显示网络中已存在 IP (IP already exists in the network) 错误消息。这会导致迁移过程中无法在新的 vCenter Server Appliance 上配置网络参数。有关详细信息,请查看日志文件:/var/log/vmware/upgrade/UpgradeRunner.log

    解决办法:

    1. 确认已在适用于 Windows 的源 vCenter Server 实例上完成所有 Windows 更新,或者禁用自动 Windows 更新,直到迁移完成后为止。
    2. 重新尝试将适用于 Windows 的 vCenter Server 迁移到 vCenter Server Appliance 7.0。
  • 使用 max_vfs 模块参数为 SR-IOV 设备配置虚拟功能的数量时,所做更改可能不会生效

    在 vSphere 7.0 中,可以使用 Virtual Infrastructure Management (VIM) API(例如,通过 vSphere Client)为 SR-IOV 设备配置虚拟功能的数量。该任务不需要重新引导 ESXi 主机。使用 VIM API 配置后,如果尝试使用 max_vfs 模块参数配置 SR-IOV 虚拟功能的数量,则所做更改可能不会生效,因为 VIM API 配置会覆盖这些更改。

    解决办法:无。要为 SR-IOV 设备配置虚拟功能的数量,请每次使用相同的方法。使用 VIM API 或使用 max_vfs 模块参数,然后重新引导 ESXi 主机。

  • 升级后的 vCenter Server Appliance 实例不会保留源实例中的所有辅助网络(网卡)

    在主要升级过程中,如果为 vCenter Server Appliance 的源实例配置了不同于 VCHA 网卡的多个辅助网络,目标 vCenter Server 实例不会保留除 VCHA 网卡以外的辅助网络。如果源实例配置有多个属于 DVS 端口组的网卡,在升级过程中不会保留网卡配置。将保留属于标准端口组的 vCenter Server Appliance 实例配置。

    解决办法:无。在目标 vCenter Server Appliance 实例中手动配置辅助网络。

  • 升级或迁移具有外部 Platform Services Controller 部署的 vCenter Server 后,使用 Active Directory 进行身份验证的用户失去对新升级的 vCenter Server 实例的访问权限

    升级或迁移具有外部 Platform Services Controller 部署的 vCenter Server 后,如果新升级的 vCenter Server 未加入 Active Directory 域,则使用 Active Directory 进行身份验证的用户将失去对该 vCenter Server 实例的访问权限。

    解决办法:确认新的 vCenter Server 实例已加入 Active Directory 域。请参见知识库文章:https://kb.vmware.com/s/article/2118543

  • 使用 Oracle 数据库迁移具有外部 Platform Services Controller 部署的适用于 Windows 的 vCenter Server 失败

    如果 Oracle 事件和任务表中存在非 ASCII 字符串,则迁移过程会在导出事件和任务数据时失败。将显示以下错误消息:UnicodeDecodeError

    解决办法:无。

  • ESXi 主机升级后,主机配置文件合规性检查显示不合规状态,并且主机修复任务失败

    不合规状态表示配置文件与主机之间存在不一致。

    出现此不一致的原因可能是 ESXi 7.0 不允许使用重复的声明规则,但您使用的配置文件包含重复规则。例如,如果在将 ESXi 6.5 或 ESXi 6.7 升级到版本 7.0 之前尝试使用从主机提取的主机配置文件,并且该主机配置文件包含系统默认规则的任何重复声明规则,则可能会遇到这些问题。

    解决办法:

    1. 从主机配置文件文档中移除系统默认规则的任何重复声明规则。
    2. 检查合规性状态。
    3. 修复主机。
    4. 如果上述步骤无法解决此问题,请重新引导主机。
  • vCenter Server 管理界面中显示错误消息

    安装或升级到 vCenter Server 7.0 后,导航到 vCenter Server 管理界面中的“更新”面板时,将显示错误消息“请检查 URL,然后重试 (Check the URL and try again)”。该错误消息不会阻止您使用“更新”面板中的功能,您可以查看、转储和安装任何可用更新。

    解决办法:无。


继续阅读
关键词 :
VMware vSphere 7.0
中存储网声明:此文观点不代表本站立场,如有版权疑问请联系我们。

这篇文章对您有帮助吗?

已有 人觉得有帮助

相关阅读
产品推荐
头条阅读
栏目热点

Copyright @ 2006-2021 ChinaStor.COM 版权所有 京ICP备14047533号

中存储网

存储第一站,存储门户,存储在线交流平台